BasicSplitPaneDivider.DividerLayout (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicSplitPaneDivider.DividerLayout class
Date: 2026-04-24

javax.swing.plaf.basic

## Class BasicSplitPaneDivider.DividerLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneDivider.DividerLayout

- All Implemented Interfaces:
    LayoutManager
  Enclosing class:
    BasicSplitPaneDivider

      protected class BasicSplitPaneDivider.DividerLayout
      extends Object
      implements LayoutManager

  Used to layout a `BasicSplitPaneDivider`. Layout for the divider involves appropriately moving the left/right buttons around.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DividerLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(String string, Component c)` If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
    `void` | `layoutContainer(Container c)` Lays out the specified container.
    `Dimension` | `minimumLayoutSize(Container c)` Calculates the minimum size dimensions for the specified container, given the components it contains.
    `Dimension` | `preferredLayoutSize(Container c)` Calculates the preferred size dimensions for the specified container, given the components it contains.
    `void` | `removeLayoutComponent(Component c)` Removes the specified component from the layout.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DividerLayout

          protected DividerLayout()

  - ### Method Detail

    - #### layoutContainer

          public void layoutContainer(Container c)

      Description copied from interface: `LayoutManager`
      Lays out the specified container.
      Specified by:
        `layoutContainer` in interface `LayoutManager`
      Parameters:
        `c` - the container to be laid out

    - #### minimumLayoutSize

          public Dimension minimumLayoutSize(Container c)

      Description copied from interface: `LayoutManager`
      Calculates the minimum size dimensions for the specified container, given the components it contains.
      Specified by:
        `minimumLayoutSize` in interface `LayoutManager`
      Parameters:
        `c` - the component to be laid out
      See Also:
        `LayoutManager.preferredLayoutSize(java.awt.Container)`

    - #### preferredLayoutSize

          public Dimension preferredLayoutSize(Container c)

      Description copied from interface: `LayoutManager`
      Calculates the preferred size dimensions for the specified container, given the components it contains.
      Specified by:
        `preferredLayoutSize` in interface `LayoutManager`
      Parameters:
        `c` - the container to be laid out
      See Also:
        `LayoutManager.minimumLayoutSize(java.awt.Container)`

    - #### removeLayoutComponent

          public void removeLayoutComponent(Component c)

      Description copied from interface: `LayoutManager`
      Removes the specified component from the layout.
      Specified by:
        `removeLayoutComponent` in interface `LayoutManager`
      Parameters:
        `c` - the component to be removed

    - #### addLayoutComponent

          public void addLayoutComponent(String string,
                                         Component c)

      Description copied from interface: `LayoutManager`
      If the layout manager uses a per-component string, adds the component `comp` to the layout, associating it with the string specified by `name`.
      Specified by:
        `addLayoutComponent` in interface `LayoutManager`
      Parameters:
        `string` - the string to be associated with the component
        `c` - the component to be added

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.